function User ( name ) {
    this.name = name
    this.id = this.counter()
}
User.prototype.counter = (function () {
    let number = 0
    return function () {
        if (typeof this.id === 'number') {
            return this.id
        }
        return number++
    }
})()
let users = [
    new User ( "Семен" ),
    new User ( "Антон" ),
    new User ( "Демьян" ),
    new User ( "Василий" )
]
console.log(users)
console.log(users[1].id = users[1].counter() )