    import './App.css';
    import {userData} from "./condidateArr";
    import React from "react";
    import {useState} from 'react';
    import Header from "./component/header";

    let Card = (props) => {
        return (
            <div className='mainContent'>
                <div className='card'>
                    <p className='CardText'>{props.name}</p>
                    <p className='CardText'>{props.age}</p>
                    <p className='CardText'>{props.gender}</p>
                    <p className='CardText'>{props.balance}</p>
                    <img className='YouImg' src='https://i1.sndcdn.com/artworks-000580655825-uvkn3k-t500x500.jpg'
                         alt='Ваше фото'/>
                </div>
            </div>
        )
    }

    function App() {
        const [state, setState] = useState(userData)

        const HandleSortByAges = evt => {
            const {value} = evt.target;
            if (value === '') {
                setState(userData)
                return
            }
            const result = [...userData].sort((a, b) => {
                return value === 'small' ? a.age - b.age : b.age - a.age

            })
            setState(result)
        }

        let clear = () => {
            setState(userData)
        }

        const filterByName = evt => {
            const {value} = evt.target;
            const result = userData.filter(user => {
                return user.name.toLocaleLowerCase().includes(value.toLocaleLowerCase())

            })
            setState(result)
        }
        return (
            <>
                <Header filterByName={filterByName}
                        HandleSortByAges={HandleSortByAges}
                        clear={clear}/>

                <div className='mainContent'>
                    {state.map(item => <Card {...item}/>)}
                </div>
            </>
        )
    }

    export default App;
