import './App.css';
import userData from "./data/condidateArr";
import React from "react";
import {useState} from 'react';
import Header from "./containers/headder";
import Card from "./component/card";
import Footer from "./containers/Footer";

function App() {
    const [state, setState] = useState(userData)
    const HandleSortByAges = event => {
        const {value} = event.target;
        if (value === '') {
            setState(userData)
            return
        }
        const result = [...userData].sort((a, b) => {
            return value === 'small' ? a.age - b.age : b.age - a.age
        })
        setState(result)
    }
    const HandleFilterByName = event => {
        const {value} = event.target;
        const result = userData.filter(user => {
            return user.name.toLocaleLowerCase().includes(value.toLocaleLowerCase())

        })
        setState(result)
    }
    let clear = () => {
        setState(userData)
    }

    return (
        <>
            <Header HandleFilterByName={HandleFilterByName}
                    HandleSortByAges={HandleSortByAges}
                    clear={clear}/>
            <div className='mainContent'>
                {state.map(item => <Card {...item}/>)}
            </div>
            <Footer/>
        </>
    )
}

export default App;
