import './App.css';
import Footer from "./containers/Footer/Footer";
import CardBlock from "./containers/CardBlock";
import userData from "./data/condidateArr";
import FormForUsers from "./containers/CreationOfUsersForm";
import {useState} from 'react';


function App() {
    const [state, setState] = useState(userData)

    function getFields(e) {
        e.preventDefault()
        let name = e.target.elements.name.value;
        let age = e.target.elements.age.value
        let gender = e.target.elements.gender.value
        const newArr = [...state,{
            name: name,
            age: age,
            gender: gender
        }]

        setState(newArr)
    }


    return (
        <>
            <div className="App">
                <FormForUsers getting={getFields}/>
                <CardBlock persons={state}/>
            </div>
            <Footer counter={state.length}/>
        </>
    );
}

export default App;
