import React from 'react';

import Card from '../../components/Card'
import './style.css'
import Input from "../../components/Input";

const CardBlock = ({persons,HandleFilterByName,newArr,delUser}) => {

    return (
        <>
            <div className="rightMain">
            <Input onChange={HandleFilterByName} placeholder='Input user name...'/>
                {persons.map(person => <Card persons={person}
                                             newArr={newArr}
                                             delUser={delUser}
                                             key={person._id}/>)}
            </div>
        </>
    )
}
export default CardBlock