import './App.css';
import React, {useState} from 'react'
import {themes} from "./Themes/themes";
import RegForm from "./Containers/registrationForm";

//     const form = {
//         first: {
//             firsName: firsName,
//             lastName: lastName,
//             mail: mail
//         },
//         second: {
//             country: country,
//             city: city,
//             street: street,
//             apart: apart
//         },
//         third: {
//             avatar: avatar
//         },
//         fourth: {
//             password: password,
//             confirmPass: password,
//         }
//     }
// }


export const ThemeContext = React.createContext(null);

function App() {
    const [state, setState] = useState(themes.dark)

    function changeTheme() {
            state === themes.light ?
            setState(themes.dark) :
            setState(themes.light)
    }
    return (
        <div className="App" style={{background:state.background,
            foreground:state.foreground,}}>
            <ThemeContext.Provider value={state}>
                <RegForm changeTheme={changeTheme}/>
            </ThemeContext.Provider>
        </div>
    );
}

export default App;
