import React, {useContext} from 'react'
import ThemedButton from "../../Context/Button-context/themedButton";
import {ThemeContext} from "../../App";
import './style.css'
import RegSteps from "../registrationSteps/regSteps";



function RegForm({changeTheme}) {

    const theme = useContext(ThemeContext);
    return (
        <div className='regDiv'
             style={{
                 background: theme.background,
                 color: theme.foreground,
                 border: `1px solid ${theme.color}`
             }}>
            <RegSteps/>
            <ThemedButton changeTheme={changeTheme}/>
        </div>
    )
}

export default RegForm