import React, {useContext} from 'react';
import './style.css'
import {ThemeContext} from "../../App";


const Input = ({
                   name,
                   value,
                   placeholder,
                   type
               }) => {
    const theme = useContext(ThemeContext)
    return <input
        type={type}
        style={{
            backgroundColor: theme.background,
            foreground: theme.foreground,
            color: theme.color
        }}
        className='input'
        name={name}
        value={value}
        placeholder={placeholder}

    />
}

export default Input