import React from 'react';

import Card from '../../components/Card'
import './style.css'

const CardBlock = ({persons}) => {
    return (
        <div className="rightMain">
            {persons.map(person => <Card persons={person} key={person.id}/>)}
        </div>
    )
}
export default CardBlock