import './App.css';
import React, {useState} from 'react';
import Footer from "./containers/Footer/Footer";
import CardBlock from "./containers/CardBlock";
import userData from "./data/condidateArr";
import FormForUsers from "./containers/CreationOfUsersForm";
let id = Math.random()*10000000000000

function App() {
    let localArr=JSON.parse(localStorage.getItem('users'))
    let choseArr = localArr==null?userData:localArr
    const [state, setState] = useState(choseArr)

    const HandleFilterByName = event => {
        const {value} = event.target;
        const result = choseArr.filter(user => {
            return user.name.toLocaleLowerCase().includes(value.toLocaleLowerCase())
        })
            setState(result)
    }

    function getFields(e) {
        e.preventDefault()
        let name = e.target.elements.name.value;
        let age = e.target.elements.age.value
        let gender = e.target.elements.gender.value
        const newArr = [...choseArr,{
            _id: id++,
            name: name,
            age: age,
            gender: gender
        }]
        localStorage.setItem('users',JSON.stringify(newArr))
        setState(JSON.parse(localStorage.getItem('users')));
    }
    function delUser([...newUserArr]){
        localStorage.setItem('users',JSON.stringify(newUserArr))
        setState(newUserArr)
    }
    return (
        <>
            <div className="App">
                <FormForUsers getting={getFields}/>
                <CardBlock persons={state}
                           newArr={state}
                           getting={getFields}
                           delUser={delUser}
                           HandleFilterByName={HandleFilterByName}/>
            </div>
            <Footer counter={state.length}/>
        </>
    );
}

export default App;
