import React from 'react';
import './style.css'
import Button from "../Button";

const Card = ({
                  persons,
                  newArr,
                  delUser
              }) => {
    function removeUser() {
        const index = newArr.indexOf(persons);
        if (index > -1) {
           newArr.splice(index, 1);
           localStorage.setItem('users',JSON.stringify(newArr))
        }
        delUser(newArr)
    }
    return <div className="flip-card">
        <div className="flip-card-inner">
            <div className="flip-card-front">
                <img src={'https://i1.sndcdn.com/artworks-000580655825-uvkn3k-t500x500.jpg'} alt="Аватар"/>
            </div>
            <div className="flip-card-back">
                <h1>{persons.name}</h1>
                <p>{persons.age}</p>
                <p>{persons.balance}</p>
                <p>{persons.gender}</p>
                <Button onClick={removeUser} text='delete'/>
            </div>
        </div>
    </div>
}

export default Card;