import Button from "../../components/Button";
import {useContext} from "react";
import React from 'react'
import {ThemeContext} from "../../App";


function ThemedButton({changeTheme}) {
    const theme = useContext(ThemeContext);
    return (
            <Button
                style={{background: theme.background,
                    color: theme.foreground}}
                onClick={changeTheme}
                text ='Change theme'/>
    );
}
export default ThemedButton