import React, {useContext} from 'react';
import "./style.css"
import {ThemeContext} from "../../App";

const Button = ({
                    text,
                    onClick,
                    e
                }) => {
    const theme = useContext(ThemeContext)
    return (
        <button
            style={{
                backgroundColor: theme.background,
                foreground: theme.foreground,
                color: theme.color
            }}
            className='changeTheme'
            onClick={onClick}>{text}</button>
    )
}
export default Button